<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="form-group ls-form">
  <h5 class="fw-bold mb-3" [innerText]="messages.DEBUG_PREFERENCES_TITLE"></h5>
  <label class="mb-3" [innerText]="messages.SHOW_ADMIN_IDS"></label>
  <div>
    <button
      class="btn btn-outline-primary pe-4 ps-4"
      [ngClass]="{'active': userPreferences.showAdminIds}"
      (click)="userPreferences.showAdminIds = true"
      [innerText]="messages.SHOW">
    </button>
    <button
      class="btn btn-outline-primary ms-1 pe-4 ps-4"
      [ngClass]="{'active': !userPreferences.showAdminIds}"
      (click)="userPreferences.showAdminIds = false"
      [innerText]="messages.DO_NOT_SHOW">
    </button>
  </div>

  <div class="w-100">
    <button
      [text]="messages.PROFILE_VALIDATE"
      [processing]="isProcessing"
      (click)="saveForm()"
      ls-button-save
      class="mt-4">
    </button>
  </div>
</div>
